$("#F_MaterialCode").blur(function(){
	ischeckNum();
})
function sd(){
        $("#F_MaterialCode").val("");
        };
        function ischeckNum() {
            var num = document.getElementById('F_MaterialCode').value;
            if( num ){
                if( !isNaN( num ) ){
                    if(num.length>11){
                        sd();
						$("#span").css("color","red").html("输入的物料编码大于11位，请输入11位编码");
                    }else if(num.length<11 && num.length>0){
                        sd();
						$("#span").css("color","red").html("输入的物料编码小于11位，请输入11位的编码！");
                    }
                    return false;
                }else{
					$("#span").css("color","red").html("请输入11位纯数字");
                    sd();
                 return false;
        }
        }else{
            $("#span").css("color","red").html("编码不能为空"); 
        }
        }

function addedit() {					
		$.post(huayi.config.callcenter_url + "MaterialManage/AddModel", {
					F_MaterialCode: $("#F_MaterialCode").val(),//物料编码
					F_MaterialName: $("#F_MaterialName").val(),//物料名称
					F_Model: $("#F_Model").val(),//型号
					F_Specs: $("#F_Specs").val(),//规格
					F_Level1: $("#F_Level1").val(),//一级分类
					F_Level2: $("#F_Level2").val(),//二级分类
					F_Level3: $("#F_Level3").val(),//三级分类
					F_Brand: $('#F_Brand').val(),//品牌
					F_MaterialEffect: $('#F_MaterialEffect').find('input[type="radio"]:checked').val(), //复合肥肥效
					F_Pipeline: $('#F_Pipeline').find('input[type="radio"]:checked').val(), //产品线
					F_Craft: $("#F_Craft").val(),//工艺
					F_Remark: $("#F_Remark").val(),//备注
					token: $.cookie("token")
			}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					debugger
					 var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
					 parent.layer.close(index); //再执行关闭
					 parent.$('#workorderlist').bootstrapTable('refresh');						
					 parent.layer.msg("添加物料成功");
					 top.workcount();
				}
			})
				
		}
